# rn (Rename) command

Renames files in archive.

#### Syntax

    rn <archive_name> <src_file_1> <dest_file_1> [ <src_file_2> <dest_file_2> ... ]

#### Example

    7z rn a.7z old.txt new.txt 2.txt folder\2new.txt

renames old.txt to new.txt and 2.txt to folder\2new.txt .

#### Notes

#### Switches that can be used with this command

-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-stl (Set archive timestamp from the most recently modified file)
-u (Update)
-w (Working Dir)
-x (Exclude)